Bug 982548 - Add product branding to BAM
Add product branding to BAM
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Ryan Zhang
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 05:27 EDT by Ryan Zhang
Modified: 2014-08-06 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bam-branding.patch (915 bytes, patch)
2013-09-04 07:31 EDT, Ryan Zhang
no flags Details | Diff

  None (edit)
Description Ryan Zhang 2013-07-09 05:27:55 EDT
Description of problem:
As subject.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 8 Pedro Zapata 2013-08-26 09:50:18 EDT
- From engineering, no additional tasks are required to fix this.
- We don't completely undertand the purpose of the PR or some details, we are not going to merge it upstream until clarified. Please contact Roger for details.
Comment 10 Ryan Zhang 2013-09-04 07:31:14 EDT
Created attachment 793629 [details]
bam-branding.patch
Comment 11 Edson Tirelli 2013-09-04 10:01:08 EDT
Ryan, the topic branch is fine. I will look at the patch later today.
Comment 12 Edson Tirelli 2013-09-04 21:35:13 EDT
All, the branding commit was saved into the "branding.2013.09.04" topic branch and applied to the product tag I created today. It will be carried forward like all other product commits.

etirelli@yoda jbpm-dashboard [r_sync.2013.09.04] $ git log -1 branding.2013.09.04
commit bcd97aa954bc033ee2b1f388b41108f2a11aca8b
Author: Edson Tirelli <ed.tirelli@gmail.com>
Date:   Wed Sep 4 18:18:54 2013 -0400

    Applying product branding changes
etirelli@yoda jbpm-dashboard [r_sync.2013.09.04] $ git show bcd97aa954bc033ee2b1f388b41108f2a11aca8b
commit bcd97aa954bc033ee2b1f388b41108f2a11aca8b
Author: Edson Tirelli <ed.tirelli@gmail.com>
Date:   Wed Sep 4 18:18:54 2013 -0400

    Applying product branding changes

diff --git a/jbpm-dashboard-distributions/src/main/jbossas7/WEB-INF/web.xml b/jbpm-dashboard-distributions/src/main/jbossas7/WEB-INF/web.xml
index f90fa30..58cd168 100644
--- a/jbpm-dashboard-distributions/src/main/jbossas7/WEB-INF/web.xml
+++ b/jbpm-dashboard-distributions/src/main/jbossas7/WEB-INF/web.xml
@@ -35,7 +35,7 @@
     <security-constraint>
         <web-resource-collection>
             <web-resource-name>Free access</web-resource-name>
-            <url-pattern>/images/jb_logo.png</url-pattern>
+            <url-pattern>/redhat/*</url-pattern>
         </web-resource-collection>
     </security-constraint>
 
@@ -72,4 +72,4 @@
         <res-auth>Container</res-auth>
     </resource-ref>
 
-</web-app>
\ No newline at end of file
+</web-app>
etirelli@yoda jbpm-dashboard [r_sync.2013.09.04] $
Comment 13 Marek Baluch 2013-10-09 09:03:54 EDT
Verified on ER3.
Comment 14 Jan Hrcek 2014-03-20 05:56:58 EDT
Branding is tested only manually / visually

Note You need to log in before you can comment on or make changes to this bug.